API
Stagingv2

Reference data

List companies by sector

Return the listed companies within a single sector. Paginated, with a lighter classification payload than the full metadata profile.

GET/v2/vendor/sectors/companies
Requires scopesector.companies

Query parameters

ParameterDescription
sector
string
required
Sector name to filter by. Case-insensitive exact match, for example Banking.
page
integer
optional
Page to fetch. Defaults to 1.
limit
integer
optional
Records per page, 1 to 200. Defaults to 50.

Response fields

FieldDescription
symbol
string
Ticker.
name
string
Issuer name.
sector
string
Sector classification.
category
string
Board category.
pagination
object
page, limit, total and totalPages.
Request
curl "https://stagingmobile.nasdng.com/v2/vendor/sectors/companies?sector=Financial%20Services&page=1&limit=50" \
  -H "Authorization: Bearer sk_test_xxxxxxxxxxxxxxxxxxxxxxxx"
const params = new URLSearchParams({ sector: "Financial Services", page: "1", limit: "50" });
const res = await fetch(
  `https://stagingmobile.nasdng.com/v2/vendor/sectors/companies?${params}`,
  { headers: { Authorization: "Bearer sk_test_xxxxxxxxxxxxxxxxxxxxxxxx" } }
);
const { data } = await res.json();
import requests

res = requests.get(
    "https://stagingmobile.nasdng.com/v2/vendor/sectors/companies",
    params={"sector": "Financial Services", "page": "1", "limit": "50"},
    headers={"Authorization": "Bearer sk_test_xxxxxxxxxxxxxxxxxxxxxxxx"},
)
data = res.json()
Response 200 OK
{
  "success": true,
  "message": "Companies fetched successfully",
  "data": {
    "data": [
      {
        "symbol": "SDNASDPLC",
        "name": "NASD Plc",
        "isin": "NGSDNASDPL08",
        "status": "active",
        "instrumentType": "Equity",
        "category": "blue",
        "sector": "Financial Services",
        "subsector": "Other Financial Institutions",
        "logo": "https://cdn.nasdng.com/logos/sdnasdplc.png"
      }
    ],
    "pagination": {
      "page": 1,
      "limit": 50,
      "total": 18,
      "totalPages": 1
    }
  }
}